Bug 131546 - Add Syntax 7-in-1 card reader to SCSI whitelist
Add Syntax 7-in-1 card reader to SCSI whitelist
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-02 00:32 EDT by Andrew Callan
Modified: 2015-01-04 17:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-27 17:00:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Callan 2004-09-02 00:32:47 EDT
The Syntax 7-in-1 IC card reader should be added to the multi-lun
whitelist.  Here is the /proc/scsi/scsi info:

Host: scsi1 Channel: 00 Id: 00 Lun: 00
  Vendor: IC       Model: USB Storage-CFC  Rev: 322E
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi1 Channel: 00 Id: 00 Lun: 01
  Vendor: IC       Model: USB Storage-SMC  Rev: 322E
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi1 Channel: 00 Id: 00 Lun: 02
  Vendor: IC       Model: USB Storage-MMC  Rev: 322E
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi1 Channel: 00 Id: 00 Lun: 03
  Vendor: IC       Model: USB Storage-MSC  Rev: 322E
  Type:   Direct-Access                    ANSI SCSI revision: 02


As a side note, adding
options scsi_mod max_luns=4
to /etc/modprobe.conf does not work for me.  I've had to:
echo "scsi add-single-device 1 0 0 1" > /proc/scsi/scsi
echo "scsi add-single-device 1 0 0 2" > /proc/scsi/scsi
echo "scsi add-single-device 1 0 0 3" > /proc/scsi/scsi

Version-Release number of selected component (if applicable):
kernel-2.6.8-1.521

How reproducible:
Always

Steps to Reproduce:
1. Plug in reader
2. cat /proc/scsi/scsi
 

Actual Results:  Host: scsi1 Channel: 00 Id: 00 Lun: 00
  Vendor: IC       Model: USB Storage-CFC  Rev: 322E
  Type:   Direct-Access                    ANSI SCSI revision: 02

Expected Results:  Show all four.
Comment 1 Dave Jones 2004-11-27 17:00:26 EST
fixed in teh 2.6.9 based update.

Note You need to log in before you can comment on or make changes to this bug.